


<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    
    
    <meta http-equiv="X-UA-Compatible" content="IE=emulateIE7" />
    <title>Coverage for venta/views.py: 82%</title>
    <link rel="stylesheet" href="style.css" type="text/css">
    
    <script type="text/javascript" src="jquery.min.js"></script>
    <script type="text/javascript" src="jquery.hotkeys.js"></script>
    <script type="text/javascript" src="jquery.isonscreen.js"></script>
    <script type="text/javascript" src="coverage_html.js"></script>
    <script type="text/javascript">
        jQuery(document).ready(coverage.pyfile_ready);
    </script>
</head>
<body class="pyfile">

<div id="header">
    <div class="content">
        <h1>Coverage for <b>venta/views.py</b> :
            <span class="pc_cov">82%</span>
        </h1>

        <img id="keyboard_icon" src="keybd_closed.png" alt="Show keyboard shortcuts" />

        <h2 class="stats">
            34 statements &nbsp;
            <span class="run hide_run shortkey_r button_toggle_run">28 run</span>
            <span class="mis shortkey_m button_toggle_mis">6 missing</span>
            <span class="exc shortkey_x button_toggle_exc">0 excluded</span>

            
        </h2>
    </div>
</div>

<div class="help_panel">
    <img id="panel_icon" src="keybd_open.png" alt="Hide keyboard shortcuts" />
    <p class="legend">Hot-keys on this page</p>
    <div>
    <p class="keyhelp">
        <span class="key">r</span>
        <span class="key">m</span>
        <span class="key">x</span>
        <span class="key">p</span> &nbsp; toggle line displays
    </p>
    <p class="keyhelp">
        <span class="key">j</span>
        <span class="key">k</span> &nbsp; next/prev highlighted chunk
    </p>
    <p class="keyhelp">
        <span class="key">0</span> &nbsp; (zero) top of page
    </p>
    <p class="keyhelp">
        <span class="key">1</span> &nbsp; (one) first highlighted chunk
    </p>
    </div>
</div>

<div id="source">
    <table>
        <tr>
            <td class="linenos">
<p id="n1" class="stm run hide_run"><a href="#n1">1</a></p>
<p id="n2" class="stm run hide_run"><a href="#n2">2</a></p>
<p id="n3" class="stm run hide_run"><a href="#n3">3</a></p>
<p id="n4" class="stm run hide_run"><a href="#n4">4</a></p>
<p id="n5" class="stm run hide_run"><a href="#n5">5</a></p>
<p id="n6" class="pln"><a href="#n6">6</a></p>
<p id="n7" class="stm run hide_run"><a href="#n7">7</a></p>
<p id="n8" class="stm run hide_run"><a href="#n8">8</a></p>
<p id="n9" class="stm run hide_run"><a href="#n9">9</a></p>
<p id="n10" class="stm run hide_run"><a href="#n10">10</a></p>
<p id="n11" class="stm run hide_run"><a href="#n11">11</a></p>
<p id="n12" class="pln"><a href="#n12">12</a></p>
<p id="n13" class="stm run hide_run"><a href="#n13">13</a></p>
<p id="n14" class="stm run hide_run"><a href="#n14">14</a></p>
<p id="n15" class="stm run hide_run"><a href="#n15">15</a></p>
<p id="n16" class="stm run hide_run"><a href="#n16">16</a></p>
<p id="n17" class="stm run hide_run"><a href="#n17">17</a></p>
<p id="n18" class="stm mis"><a href="#n18">18</a></p>
<p id="n19" class="stm mis"><a href="#n19">19</a></p>
<p id="n20" class="stm mis"><a href="#n20">20</a></p>
<p id="n21" class="stm mis"><a href="#n21">21</a></p>
<p id="n22" class="stm mis"><a href="#n22">22</a></p>
<p id="n23" class="stm mis"><a href="#n23">23</a></p>
<p id="n24" class="stm run hide_run"><a href="#n24">24</a></p>
<p id="n25" class="pln"><a href="#n25">25</a></p>
<p id="n26" class="stm run hide_run"><a href="#n26">26</a></p>
<p id="n27" class="stm run hide_run"><a href="#n27">27</a></p>
<p id="n28" class="stm run hide_run"><a href="#n28">28</a></p>
<p id="n29" class="stm run hide_run"><a href="#n29">29</a></p>
<p id="n30" class="stm run hide_run"><a href="#n30">30</a></p>
<p id="n31" class="stm run hide_run"><a href="#n31">31</a></p>
<p id="n32" class="stm run hide_run"><a href="#n32">32</a></p>
<p id="n33" class="pln"><a href="#n33">33</a></p>
<p id="n34" class="stm run hide_run"><a href="#n34">34</a></p>
<p id="n35" class="stm run hide_run"><a href="#n35">35</a></p>
<p id="n36" class="stm run hide_run"><a href="#n36">36</a></p>
<p id="n37" class="stm run hide_run"><a href="#n37">37</a></p>
<p id="n38" class="stm run hide_run"><a href="#n38">38</a></p>
<p id="n39" class="pln"><a href="#n39">39</a></p>
<p id="n40" class="pln"><a href="#n40">40</a></p>
<p id="n41" class="pln"><a href="#n41">41</a></p>

            </td>
            <td class="text">
<p id="t1" class="stm run hide_run"><span class="key">from</span> <span class="nam">django</span><span class="op">.</span><span class="nam">shortcuts</span> <span class="key">import</span> <span class="nam">render</span><span class="strut">&nbsp;</span></p>
<p id="t2" class="stm run hide_run"><span class="key">from</span> <span class="op">.</span><span class="nam">models</span> <span class="key">import</span> <span class="nam">Carrito</span><span class="strut">&nbsp;</span></p>
<p id="t3" class="stm run hide_run"><span class="key">from</span> <span class="op">.</span><span class="nam">models</span> <span class="key">import</span> <span class="nam">Venta</span><span class="strut">&nbsp;</span></p>
<p id="t4" class="stm run hide_run"><span class="key">from</span> <span class="nam">productos</span><span class="op">.</span><span class="nam">models</span> <span class="key">import</span> <span class="nam">Producto</span><span class="strut">&nbsp;</span></p>
<p id="t5" class="stm run hide_run"><span class="key">from</span> <span class="nam">datetime</span> <span class="key">import</span> <span class="nam">datetime</span><span class="op">,</span> <span class="nam">timedelta</span> <span class="op">,</span> <span class="nam">date</span><span class="strut">&nbsp;</span></p>
<p id="t6" class="pln"><span class="com"># Create your views here.</span><span class="strut">&nbsp;</span></p>
<p id="t7" class="stm run hide_run"><span class="key">def</span> <span class="nam">ver_carrito</span><span class="op">(</span><span class="nam">request</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t8" class="stm run hide_run">        <span class="nam">venta</span> <span class="op">=</span> <span class="nam">Venta</span><span class="op">.</span><span class="nam">objects</span><span class="op">.</span><span class="nam">latest</span><span class="op">(</span><span class="str">'id'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t9" class="stm run hide_run">        <span class="key">if</span> <span class="nam">venta</span><span class="op">.</span><span class="nam">total_venta</span> <span class="op">==</span> <span class="num">0</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t10" class="stm run hide_run">                <span class="nam">carritos</span> <span class="op">=</span> <span class="nam">Carrito</span><span class="op">.</span><span class="nam">objects</span><span class="op">.</span><span class="nam">filter</span><span class="op">(</span><span class="nam">id_lista</span><span class="op">=</span><span class="nam">venta</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t11" class="stm run hide_run">                <span class="key">return</span> <span class="nam">render</span><span class="op">(</span><span class="nam">request</span><span class="op">,</span><span class="str">'carritos.html'</span><span class="op">,</span> <span class="op">{</span><span class="str">'carritos'</span><span class="op">:</span> <span class="nam">carritos</span><span class="op">}</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t12" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t13" class="stm run hide_run"><span class="key">def</span> <span class="nam">realizar_venta</span><span class="op">(</span><span class="nam">request</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t14" class="stm run hide_run">        <span class="nam">venta</span> <span class="op">=</span> <span class="nam">Venta</span><span class="op">.</span><span class="nam">objects</span><span class="op">.</span><span class="nam">latest</span><span class="op">(</span><span class="str">'id'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t15" class="stm run hide_run">        <span class="nam">carrito</span> <span class="op">=</span> <span class="nam">Carrito</span><span class="op">.</span><span class="nam">objects</span><span class="op">.</span><span class="nam">filter</span><span class="op">(</span><span class="nam">id_lista</span><span class="op">=</span><span class="nam">venta</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t16" class="stm run hide_run">        <span class="nam">cuenta</span> <span class="op">=</span> <span class="num">0</span><span class="strut">&nbsp;</span></p>
<p id="t17" class="stm run hide_run">        <span class="key">for</span> <span class="nam">nom</span> <span class="key">in</span> <span class="nam">carrito</span><span class="op">[</span><span class="num">0</span><span class="op">:</span><span class="nam">len</span><span class="op">(</span><span class="nam">carrito</span><span class="op">)</span><span class="op">]</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t18" class="stm mis">                <span class="nam">producto</span> <span class="op">=</span> <span class="nam">Producto</span><span class="op">.</span><span class="nam">objects</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="nam">nom</span><span class="op">.</span><span class="nam">producto</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t19" class="stm mis">                <span class="nam">cuenta</span> <span class="op">+=</span> <span class="nam">producto</span><span class="op">.</span><span class="nam">precio</span><span class="strut">&nbsp;</span></p>
<p id="t20" class="stm mis">                <span class="nam">venta</span><span class="op">.</span><span class="nam">total_venta</span> <span class="op">=</span> <span class="nam">cuenta</span><span class="strut">&nbsp;</span></p>
<p id="t21" class="stm mis">                <span class="nam">producto</span><span class="op">.</span><span class="nam">cantida</span> <span class="op">=</span> <span class="nam">producto</span><span class="op">.</span><span class="nam">cantida</span> <span class="op">-</span> <span class="nam">nom</span><span class="op">.</span><span class="nam">cantidad</span><span class="strut">&nbsp;</span></p>
<p id="t22" class="stm mis">                <span class="nam">producto</span><span class="op">.</span><span class="nam">save</span><span class="op">(</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t23" class="stm mis">                <span class="nam">venta</span><span class="op">.</span><span class="nam">save</span><span class="op">(</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t24" class="stm run hide_run">        <span class="key">return</span> <span class="nam">render</span><span class="op">(</span><span class="nam">request</span><span class="op">,</span><span class="str">'venta_realizada.html'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t25" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t26" class="stm run hide_run"><span class="key">def</span> <span class="nam">agregar_carrito</span><span class="op">(</span><span class="nam">request</span><span class="op">,</span> <span class="nam">pk</span><span class="op">)</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t27" class="stm run hide_run">        <span class="nam">venta</span> <span class="op">=</span> <span class="nam">Venta</span><span class="op">.</span><span class="nam">objects</span><span class="op">.</span><span class="nam">latest</span><span class="op">(</span><span class="str">'id'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t28" class="stm run hide_run">        <span class="nam">producto</span> <span class="op">=</span> <span class="nam">Producto</span><span class="op">.</span><span class="nam">objects</span><span class="op">.</span><span class="nam">get</span><span class="op">(</span><span class="nam">codigo_ean</span> <span class="op">=</span> <span class="nam">pk</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t29" class="stm run hide_run">        <span class="key">if</span> <span class="nam">venta</span><span class="op">.</span><span class="nam">total_venta</span> <span class="op">==</span> <span class="num">0</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t30" class="stm run hide_run">                <span class="nam">carrito</span> <span class="op">=</span> <span class="nam">Carrito</span><span class="op">.</span><span class="nam">objects</span><span class="op">.</span><span class="nam">create</span><span class="op">(</span><span class="nam">id_lista</span><span class="op">=</span><span class="nam">venta</span><span class="op">,</span> <span class="nam">producto</span> <span class="op">=</span> <span class="nam">producto</span><span class="op">,</span> <span class="nam">cantidad</span> <span class="op">=</span> <span class="num">1</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t31" class="stm run hide_run">                <span class="nam">carrito</span><span class="op">.</span><span class="nam">save</span><span class="op">(</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t32" class="stm run hide_run">                <span class="key">return</span> <span class="nam">render</span><span class="op">(</span><span class="nam">request</span><span class="op">,</span><span class="str">'exito.html'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t33" class="pln">        <span class="key">else</span><span class="op">:</span><span class="strut">&nbsp;</span></p>
<p id="t34" class="stm run hide_run">                <span class="nam">nueva_venta</span> <span class="op">=</span> <span class="nam">Venta</span><span class="op">.</span><span class="nam">objects</span><span class="op">.</span><span class="nam">create</span><span class="op">(</span><span class="nam">fecha_venta</span> <span class="op">=</span> <span class="nam">datetime</span><span class="op">.</span><span class="nam">now</span><span class="op">(</span><span class="op">)</span><span class="op">,</span> <span class="nam">total_venta</span> <span class="op">=</span> <span class="str">'0'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t35" class="stm run hide_run">                <span class="nam">nueva_venta</span><span class="op">.</span><span class="nam">save</span><span class="op">(</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t36" class="stm run hide_run">                <span class="nam">carrito</span> <span class="op">=</span> <span class="nam">Carrito</span><span class="op">.</span><span class="nam">objects</span><span class="op">.</span><span class="nam">create</span><span class="op">(</span><span class="nam">id_lista</span><span class="op">=</span><span class="nam">nueva_venta</span><span class="op">,</span> <span class="nam">producto</span> <span class="op">=</span> <span class="nam">producto</span><span class="op">,</span> <span class="nam">cantidad</span> <span class="op">=</span> <span class="num">1</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t37" class="stm run hide_run">                <span class="nam">carrito</span><span class="op">.</span><span class="nam">save</span><span class="op">(</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t38" class="stm run hide_run">                <span class="key">return</span> <span class="nam">render</span><span class="op">(</span><span class="nam">request</span><span class="op">,</span><span class="str">'exito.html'</span><span class="op">)</span><span class="strut">&nbsp;</span></p>
<p id="t39" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t40" class="pln"><span class="strut">&nbsp;</span></p>
<p id="t41" class="pln"><span class="strut">&nbsp;</span></p>

            </td>
        </tr>
    </table>
</div>

<div id="footer">
    <div class="content">
        <p>
            <a class="nav" href="index.html">&#xab; index</a> &nbsp; &nbsp; <a class="nav" href="https://coverage.readthedocs.io">coverage.py v4.5.1</a>,
            created at 2018-12-06 05:47
        </p>
    </div>
</div>

</body>
</html>
